Grants, vesting & distributions

Update Token Type

Updates a token type's name, currency code or enabled flag with a per-network currency conflict check.

POSThttps://api.toku.com/stablecoin-payroll/update-token-type

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/update-token-type' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "tokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "name": "string",
  "currencyCode": "string",
  "isTokenEnabled": true,
  "coinMarketCapID": "string"
}'
200 response
{
  "tokenType": {
    "tokenTypeID": "string",
    "name": "string",
    "currencyCode": "string",
    "icon": "string",
    "orgID": "string",
    "enabledForPayrollType": "string",
    "networkID": "string",
    "address": "string",
    "decimalPlaces": 0,
    "coinMarketCapID": "string",
    "createdAt": "string",
    "isTokenEnabled": true,
    "isContractorDefault": true,
    "defaultTokenSlug": "string",
    "catalogTokenDeploymentID": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

tokenTypeIDstring<uuid>required
namestring

Allowed: at least 1 characters

currencyCodestring

Allowed: at least 1 characters

isTokenEnabledboolean
coinMarketCapIDstring | null

Allowed: matches ^[1-9]\d*$

Response

200Successful response
tokenTypeobjectrequired
Show child attributes
tokenTypeIDstringrequired
namestringrequired
currencyCodestringrequired
iconstring | nullrequired
orgIDstringrequired
enabledForPayrollTypestring | nullrequired
networkIDstringrequired
addressstring | nullrequired
decimalPlacesinteger | nullrequired
coinMarketCapIDstring | nullrequired
createdAtstringrequired
isTokenEnabledboolean | nullrequired
isContractorDefaultbooleanrequired
defaultTokenSlugstring | nullrequired
catalogTokenDeploymentIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits